All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::async_metadata_t Struct Reference

`#include <metadata.hpp>`

## Public Types

enum | event_code_t { EVENT_CODE_BURST_ACK = 0x1, EVENT_CODE_UNDERFLOW = 0x2, EVENT_CODE_SEQ_ERROR = 0x4, EVENT_CODE_TIME_ERROR = 0x8, EVENT_CODE_UNDERFLOW_IN_PACKET = 0x10, EVENT_CODE_SEQ_ERROR_IN_BURST = 0x20, EVENT_CODE_USER_PAYLOAD = 0x40 }

## Public Attributes

size_t | channel
| The channel number in a mimo configuration. More...
bool | has_time_spec
| Has time specification? More...
time_spec_t | time_spec
| When the async event occurred. More...
enum uhd::async_metadata_t::event_code_t | event_code
boost::uint32_t | user_payload [4]

## Detailed Description

Async metadata structure for describing transmit related events.

## Member Enumeration Documentation

enum uhd::async_metadata_t::event_code_t

The type of event for a receive async message call.

Enumerator
EVENT_CODE_BURST_ACK | A burst was successfully transmitted.
EVENT_CODE_UNDERFLOW | An internal send buffer has emptied.
EVENT_CODE_SEQ_ERROR | Packet loss between host and device.
EVENT_CODE_TIME_ERROR | Packet had time that was late.
EVENT_CODE_UNDERFLOW_IN_PACKET | Underflow occurred inside a packet.
EVENT_CODE_SEQ_ERROR_IN_BURST | Packet loss within a burst.
EVENT_CODE_USER_PAYLOAD | Some kind of custom user payload.

## Member Data Documentation

size_t uhd::async_metadata_t::channel

The channel number in a mimo configuration.

enum uhd::async_metadata_t::event_code_t uhd::async_metadata_t::event_code

bool uhd::async_metadata_t::has_time_spec

Has time specification?

time_spec_t uhd::async_metadata_t::time_spec

When the async event occurred.

boost::uint32_t uhd::async_metadata_t::user_payload[4]

A special payload populated by custom FPGA fabric.

The documentation for this struct was generated from the following file:

- include/uhd/types/metadata.hpp